SELECT  
	dbo.udf_ITCidValidation (Idn100,IDT100,Getdate()) As CleanSAID
	, CLT100
	, HOL100
	, DEA311
	, PVA311
	, BAL320
	, INT316
	, INS316
	, CHG316
	, Convert(Varchar,DDT316,112)  AS Ddt316 
	, PRD316
	, Clp316
	, Cmp001
	, Convert(Varchar,TSC001,112)  As Tsc001
        , REF301
	, BUN301
	, GRP301
        , DEA043
	, STS043    
	, COD043
	, BRN311 
	, PR1000
	, PR2000 Into dbo.tbSuppID1
FROM OPENQUERY(EXACTUS,' 
     Select	  
          q.cmp001
	, q.tsc001
	, t.CLT100
	, t.TIT100
	, t.INI100
	, t.SUR100
	, t.FN1100
	, t.FN2100
	, t.HTL100
	, t.WTL100
	, t.FAX100
	, t.CEL100
	, t.EMA100
	, t.AD1100
	, t.AD2100
	, t.AD3100
	, t.AD4100
	, t.POS100
	, t.GRP100
	, t.SGR100
	, t.IDN100
	, t.idt100
	, t.Hol100
	, r.DEA316
	, r.CLP316
	, r.PRD316
	, r.DDT316
	, r.INS316
	, r.INT316
	, r.CHG316
	, l.CMP311
	, l.DEA311
	, l.STS311
	, l.COD311
	, l.CLT311
	, l.BRN311
	, l.PVA311
	, l.RPA311
	, l.LPR311
	, b.ACC320
	, b.BAL320
        , x.REF301
	, x.BUN301
	, x.GRP301
        , y.DEA043
	, y.STS043    
	, y.COD043
	, p.PR1000
        , p.PR2000
FROM    ZALIVDTA.ZA31100P l  Join ZALIVDTA.ZA10000P   t On  l.Clt311 =  t.Clt100
		             Join ZALIVDTA.ZA31600P   r On  l.Dea311 =  r.Dea316       
                             Join ZALIVDTA.ZA32000P   b On  b.ACC320 =  l.RPA311 
		             Join ZALIVDTA.ZA30100P   x On  l.sgr311 =  x.REF301
	                     Join ZALIVDTA.ZA04300P   y On  y.Dea043 =  l.Dea311
                             Join zalivdta.za00100p   q On  l.Cmp311 =  q.Cmp001
			     Join ZALIVDTA.ZA00000P   p On  y.Cod043 =  p.Pr2000	
Where y.Cmp043 <>  ''002''
AND   y.STS043 <>  ''Y'' 
AND   t.HOL100 <>  ''Y'' 
AND   t.Clt100  =    y.Clt043 
AND   l.PVA311  +    b.BAL320 <= 500 
With UR')	 a

Where  a.PR1000  =  'LOANSTS'



       --Close all Loans with a Duedate > Getdate() & Clp316 <> (R,S or 'C') 	    
	UPDATE tbStageLeadsMaster
	 SET   Clp316 = 'C' 
	WHERE  DDT316 < dbo.fn_formatDate(Getdate(),'yyyymmdd')  
  	AND    Clp316  NOT IN ('R','S','C')

	--Close all Loans where clp316 = 'S', Where the flag = ''    
	IF EXISTS
		(
		 SELECT 
	               * 
		 FROM  tbStageLeadsMaster 
		 WHERE Clp316 = 'S' 
	 	)
	
	BEGIN 
	UPDATE  tbStageLeadsMaster
	SET     Clp316 = 'C'
	WHERE   Clp316 = '' 
	END

----Check in Suppression File,Credit Pack file And Not Deceased 
Alter Table tbStageLeadsMaster Add Age smallint 

Update  a
Set	a.Age = Datediff(yy,('19' + Substring(a.CleanSAID,1,6)),Getdate()) ----(5627666 row(s) affected)
From 	tbStageLeadsMaster a
Where   a.CleanSAID  <> ''
